# Interface JsonNioServer

All Known Implementing Classes:
  `JsonNioService`

public interface JsonNioServer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INSOCKET`
`static final int`
`OUTSOCKET`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getPort()`
`boolean`
`hasOuputSocket()`
`void`
`reply(int port, Object data)`
`void`
`sendToJmol(int port, String msg)`
from JmolPanel and SYNC command
`void`
`startService(int port, JsonNioClient client, Viewer jmolViewer, String name, int version)`

## Field Details

### INSOCKET

static final int INSOCKET

See Also:
  - Constant Field Values

### OUTSOCKET

static final int OUTSOCKET

See Also:
  - Constant Field Values

## Method Details

### getPort

int getPort()

### hasOuputSocket

boolean hasOuputSocket()

### sendToJmol

void sendToJmol(int port, String msg)
from JmolPanel and SYNC command

Parameters:
  `port` -
  `msg` -

### startService

void startService(int port, JsonNioClient client, Viewer jmolViewer, String name, int version) throws IOException

Throws:
  `IOException`

### close

void close()

### reply

void reply(int port, Object data)